## org.omg.CORBA
Class ParDescriptionSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ParDescriptionSeqHelper

public class ParDescriptionSeqHelper
extends java.lang.Object

Helper class for : ParDescriptionSeq

Author:
  OpenORB Compiler

Constructor Summary
`ParDescriptionSeqHelper()`

Method Summary
`static ParameterDescription[]` `extract(Any a)` Extract ParDescriptionSeq from an any
`static java.lang.String` `id()` Return the ParDescriptionSeq IDL ID
`static void` `insert(Any a, ParameterDescription[] t)` Insert ParDescriptionSeq into an any
`static ParameterDescription[]` `read(InputStream istream)` Read ParDescriptionSeq from a marshalled stream
`static TypeCode` `type()` Return the ParDescriptionSeq TypeCode
`static void` `write(OutputStream ostream, ParameterDescription[] value)` Write ParDescriptionSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParDescriptionSeqHelper

    public ParDescriptionSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ParameterDescription[] t)

  Insert ParDescriptionSeq into an any
  Parameters:
    `a` - an any
    `t` - ParDescriptionSeq value

### extract

    public static ParameterDescription[] extract(Any a)

  Extract ParDescriptionSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ParDescriptionSeq value

### type

    public static TypeCode type()

  Return the ParDescriptionSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ParDescriptionSeq IDL ID
  Returns:
    an ID

### read

    public static ParameterDescription[] read(InputStream istream)

  Read ParDescriptionSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ParDescriptionSeq value

### write

    public static void write(OutputStream ostream,
                             ParameterDescription[] value)

  Write ParDescriptionSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ParDescriptionSeq value